Name:           wyrd
Version:        1.4.4
Release:        1%{?dist}
Summary:        A ncurses frontend for the calendar application remind

Group:          Applications/Productivity
License:        GPLv2
URL:            http://pessimization.com/software/wyrd/
Source0:        http://pessimization.com/software/wyrd/wyrd-%{version}.tar.gz
Source1:        wyrd-wyrdrc.local
Patch0:         wyrd-1.4.3-wyrdrc-local.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# There is no ocaml for ppc64
# Bugs: https://bugzilla.redhat.com/344581 (wyrd)
#       https://bugzilla.redhat.com/239077 (ocaml)
#ExcludeArch:    ppc64
BuildRequires:  ocaml remind ncurses-devel
# can be removed when F7 is EOL
BuildRequires:  camlp4

# Since F8 ocaml-camlp4-devel instead of camlp4 is needed
%if 0%{?fedora} >= 8
BuildRequires:  ocaml-camlp4-devel
%endif

%description
wyrd is a ncurses frontend for the calendar application remind.


%prep
%setup -q
%patch0 -p1


%build
%configure --enable-utf8
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install --mode 0644 -D %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog doc/TODO doc/manual.pdf doc/manual.html
%config %{_sysconfdir}/wyrdrc
%config(noreplace) %{_sysconfdir}/wyrdrc.local
%{_bindir}/wyrd
%{_mandir}/man1/wyrd.1*
%{_mandir}/man5/wyrdrc.5*


%changelog
* Fri Feb 22 2008 Till Maas <opensource till name> - 1.4.4-1
- update to latest version that fixes CVE-2008-0806 in a different way
- update URL/SOURCE to new location
- remove ExcludeArch, because ocaml is now available for ppc64

* Thu Feb 21 2008 Till Maas <opensource till name> - 1.4.3b-1
- update to latest version
- include patch from debian to fix CVE-2008-0806

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.3-4
- Autorebuild for GCC 4.3

* Sun Oct 21 2007 Till Maas <opensource till name> - 1.4.3-3
- fix permissions of local config file
- use globbing for manpages (the may not be gzipped)
- add ExludeArch ppc64

* Tue Aug 28 2007 Till Maas <opensource till name> - 1.4.3-2
- Fix BuildRequires for F8

* Sat Aug 18 2007 Till Maas <opensource till name> - 1.4.3-1
- initial spec for Fedora
